<div class="row">
    <div class="col-lg-6">
      <h1>Registro de Citas</h1>
      <form #citaForm="ngForm" (ngSubmit)="registrarCita(citaForm)" class="mt-4">
        <div class="mb-3">
          <label class="form-label">Fecha:</label>
          <input type="date" name="fecha" [(ngModel)]="fecha" class="form-control" required>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Hora inicio:</label>
          <input type="time" name="horaInicio" [(ngModel)]="horaInicio" class="form-control" required>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Hora fin:</label>
          <input type="time" name="horaFin" [(ngModel)]="horaFin" class="form-control" required>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Estado:</label>
          <select name="estado" [(ngModel)]="estado" class="form-select" required>
            <option value="Pendiente">Pendiente</option>
            <option value="Finalizado">Finalizado</option>
          </select>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Tipo:</label>
          <select name="tipo" [(ngModel)]="tipo" class="form-select" required>
            <option value="Presencial">Presencial</option>
            <option value="Virtual">Virtual</option>
          </select>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Asunto:</label>
          <input type="text" name="asunto" [(ngModel)]="asunto" class="form-control" required>
        </div>
  
        <div class="mb-3">
          <label class="form-label">Desarrollo:</label>
          <textarea name="desarrollo" [(ngModel)]="desarrollo" class="form-control" required></textarea>
  
        </div>
        <div class="mb-3">
          <label class="form-label">Compromiso:</label>
          <textarea name="compromiso" [(ngModel)]="compromiso" class="form-control" required></textarea>
        </div>
        <div class="mb-3">
          <label class="form-label">Comentario interno:</label>
          <textarea name="comentarioInterno" [(ngModel)]="comentarioInterno" class="form-control"></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Registrar cita</button>
      </form>
    </div>
    <div class="col-lg-6">
        <div class="image-container">
            <img src="https://estoyenlafrontera.com/sites/default/files/styles/s_apertura/public/2021-07/agenda%2021.JPG?itok=HWUg4Rm8" alt="">
          </div>
      <table class="table mt-4">
        <thead>
          <tr>
            <th>ID</th>
            <th>Fecha</th>
            <th>Hora inicio</th>
            <th>Hora fin</th>
            <th>Estado</th>
            <th>Tipo</th>
            <th>Asunto</th>
            <th>Desarrollo</th>
            <th>Compromiso</th>
            <th>Comentario interno</th>
            <th>Accion</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let cita of Quotes; let i = index">
            <td>{{cita.id}}</td>
            <td>{{cita.fecha}}</td>
            <td>{{cita.hora_inicio}}</td>
            <td>{{cita.hora_fin}}</td>
            <td>{{cita.estado}}</td>
            <td>{{cita.tipo}}</td>
            <td>{{cita.asunto}}</td>
            <td>{{cita.desarrollo}}</td>
            <td>{{cita.compromiso}}</td>
            <td>{{cita.comentario}}</td>
            <td>
                <button (click)="eliminarCita(cita)" class="btn btn-danger">Eliminar</button>
            </td>
            </tr>
            </tbody>
            </table>
            
              </div>
            </div>
  